%define upstream_name    Tapper-TestSuite-HWTrack
%define upstream_version 4.1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Report hardware meta information
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moose)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Tapper::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildRequires: perl(aliased)
BuildArch:  noarch

%description
HWTrack calls the tool lshw, parses its input and sends it to the report
framework.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tapper-testsuite-hwtrack
%{_mandir}/man1/tapper-testsuite-hwtrack.1*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.1.1-11.mga10
+ Revision: 2207976
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 4.1.1-10.mga9
+ Revision: 1817358
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.1.1-9.mga8
+ Revision: 1497265
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 4.1.1-8.mga7
+ Revision: 1271494
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 4.1.1-7.mga6
+ Revision: 1033790
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 4.1.1-6.mga6
+ Revision: 945686
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.1.1-5.mga5
+ Revision: 739785
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.1-3.mga4
+ Revision: 514971
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.1-2.mga3
+ Revision: 373111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 4.1.1-1.mga3
+ Revision: 342647
- update to 4.1.1

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-2.mga3
+ Revision: 310305
- Fix desc and summary

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310243
- imported package perl-Tapper-TestSuite-HWTrack


* Fri Oct 26 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
